Bug 3979 - gvim does not start from menu
: gvim does not start from menu
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/vim-X11)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-15 15:07 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-15 15:07:19
?package(vim-X11):command="/usr/X11R6/bin/gvim" needs="X11" ...

$ /usr/X11R6/bin/gvim
zsh: too many levels of symbolic links: /usr/X11R6/bin/gvim

И действительно:

$ readlink /usr/X11R6/bin/gvim        
../../bin/gvim
$ readlink /usr/bin/gvim                 
vim
$ readlink /usr/bin/vim
/etc/alternatives/|usr|bin|vim
$ readlink /etc/alternatives/\|usr\|bin\|vim
/usr/bin/vim-X11
$ readlink /usr/bin/vim-X11                 
/etc/alternatives/|usr|bin|vim-X11
$ readlink /etc/alternatives/\|usr\|bin\|vim-X11
/usr/bin/vim-gtk

Необходимо либо заменить путь в файле меню на /usr/bin/gvim и убрать
неработоспособный /usr/X11R6/bin/gvim, либо делать ссылку напрямую на ../../bin/vim.
------- Comment #1 From 2004-04-15 15:25:31 -------
WORKSFORME, но я поправлю.

$ /usr/X11R6/bin/gvim
$ LC_TIME=C ls -lL /usr/X11R6/bin/gvim
-rwxr-xr-x  1 root root 2239508 Apr  4 15:58 /usr/X11R6/bin/gvim
$ readlink /usr/X11R6/bin/gvim
../../bin/gvim
$ readlink /usr/bin/gvim
vim
$ readlink /usr/bin/vim 
/etc/alternatives/|usr|bin|vim
$ readlink /etc/alternatives/\|usr\|bin\|vim
/usr/bin/vim-X11
$ readlink /etc/alternatives/\|usr\|bin\|vim-X11
/usr/bin/vim-neXtaw
$ uname -r
2.4.25-std-smp-alt2
------- Comment #2 From 2004-04-15 15:37:11 -------
Пределы зависят от ядра - у меня это проявилось на 2.6.5-std26-up-alt1.
------- Comment #3 From 2004-04-22 08:22:11 -------
Fixed in 4:6.2.490-alt1
------- Comment #4 From 2004-06-06 18:10:16 -------
Всё равно не работает, но теперь по другой причине - в /usr/lib/menu/vim-X11
написано command="/usr/X11R6/bin/gvim", которого просто нет.
------- Comment #5 From 2004-06-07 11:58:13 -------
Fixed in 4:6.2.532-alt1.1